Package com.google.android.exoplayer2.audio

## Class DefaultAudioSink.InvalidAudioTrackTimestampException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.android.exoplayer2.audio.DefaultAudioSink.InvalidAudioTrackTimestampException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    DefaultAudioSink

      public static final class DefaultAudioSink.InvalidAudioTrackTimestampException
      extends RuntimeException

  Thrown when the audio track has provided a spurious timestamp, if `DefaultAudioSink.failOnSpuriousAudioTimestamp` is set.
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`